UpdateUsername
PATCH
/auth/v1/users/current/usernameRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/auth.v1.UpdateUsernameRequest",
"$ref-value": {
"type": "object",
"properties": {
"user_id": {
"type": "string",
"title": "user_id"
},
"username": {
"type": "string",
"title": "username"
}
},
"title": "UpdateUsernameRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.UpdateUsernameResponse",
"$ref-value": {
"type": "object",
"properties": {
"username": {
"type": "string",
"title": "username"
}
},
"title": "UpdateUsernameResponse",
"additionalProperties": false
}
}curl -X PATCH "https://api.rixl.com/auth/v1/users/current/username" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/auth.v1.UpdateUsernameResponse",
"$ref-value": {
"type": "object",
"properties": {
"username": {
"type": "string",
"title": "username"
}
},
"title": "UpdateUsernameResponse",
"additionalProperties": false
}
}